{
  if(NF==2) {
    print cur
    cur = ""
  }
  else {

    if(cur == "")
      cur = $0
    else {

      s = ""

      le=length(cur)

      for(i = 1; i <= le; i++)
        if(substr(cur,i,1) != (c=substr($0,i,1)))
          break
        else
          s=s c

      cur = s
    }
  }
}

